Classes | Public Member Functions | Public Attributes | Friends | List of all members
StarObjectSmallGraphicInternal::SdrGraphicEdge Class Referencefinal

Internal: virtual class to store a Sdr graphic edge. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SdrGraphicEdge:

## Classes
struct | Information
| the information record More...

## Public Member Functions
| SdrGraphicEdge ()
| constructor
| ~SdrGraphicEdge () final
| destructor
std::string | print () const final
| basic print function
bool | send (STOFFListenerPtr &listener, STOFFFrameStyle const &pos, StarObject &object, bool) final
| try to send the graphic to the listener
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicText
| SdrGraphicText (int id)
| constructor
| ~SdrGraphicText () override
| destructor
void | updateTransformProperties (librevenge::RVNGPropertyList &list, double relUnit) const
| try to update the transformation
std::string | print () const override
| basic print function
bool | sendTextZone (STOFFListenerPtr &listener, STOFFFrameStyle const &pos, StarObject &object)
| try to send the text zone to the listener
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicAttribute
| SdrGraphicAttribute (int id)
| constructor
| ~SdrGraphicAttribute () override
| destructor
void | updateStyle (StarState &state, STOFFListenerPtr listener) const
| try to update the style
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphic
| SdrGraphic (int id)
| constructor
| ~SdrGraphic () override
| destructor
std::string | getName () const override
| return the object name
StarState | getState (StarObject &object, STOFFListenerPtr listener, STOFFFrameStyle const &) const
| return a pool corresponding to an object
void | updateStyle (StarState &state, STOFFListenerPtr) const
| try to update the graphic style
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor
virtual | ~Graphic ()
| destructor

## Public Attributes
std::vector< STOFFVec2i > | m_edgePolygon
| the edge polygon
std::vector< int > | m_edgePolygonFlags
| the edge polygon flags
std::shared_ptr< StarItem > | m_edgeItem
| the edge attributes
Information | m_info
| the information record
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicText
int | m_textKind
| the text kind
STOFFBox2i | m_textRectangle
| the text rectangle
int | m_textDrehWink
| the dreh wink: rotation?
int | m_textShearWink
| the shear wink
std::shared_ptr< OutlinerParaObject > | m_outlinerParaObject
| the outliner object
STOFFBox2i | m_textBound
| the text bound
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicAttribute
std::vector< std::shared_ptr< StarItem > > | m_itemList
| the list of star item
librevenge::RVNGString | m_sheetStyle
| the sheet style name
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphic
STOFFBox2i | m_bdbox
| the bdbox
int | m_layerId
| the layer id
STOFFVec2i | m_anchorPosition
| the anchor position
std::vector< GluePoint > | m_polygon
| a polygon
bool | m_flags [6]
| a list of flag
std::vector< std::shared_ptr< StarObjectSmallGraphicInternal::SDRUserData > > | m_userDataList
| the user data list
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type

## Friends
std::ostream & | operator<< (std::ostream &o, SdrGraphicEdge const &graph)
| print object data

## Detailed Description

Internal: virtual class to store a Sdr graphic edge.

## Constructor & Destructor Documentation

## ◆ SdrGraphicEdge()

StarObjectSmallGraphicInternal::SdrGraphicEdge::SdrGraphicEdge | ( |  | ) |
| inline

constructor

## ◆ ~SdrGraphicEdge()

StarObjectSmallGraphicInternal::SdrGraphicEdge::~SdrGraphicEdge | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ print()

std::string StarObjectSmallGraphicInternal::SdrGraphicEdge::print | ( |  | ) | const
| inline final virtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::SdrGraphicAttribute.

## ◆ send()

bool StarObjectSmallGraphicInternal::SdrGraphicEdge::send | ( | STOFFListenerPtr & | listener,
|  | STOFFFrameStyle const & | pos,
|  | StarObject & | object,
|  | bool | )
| inline final virtual

try to send the graphic to the listener

Reimplemented from StarObjectSmallGraphicInternal::Graphic.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | SdrGraphicEdge const & | graph )
| friend

print object data

## Member Data Documentation

## ◆ m_edgeItem

std::shared_ptr<StarItem> StarObjectSmallGraphicInternal::SdrGraphicEdge::m_edgeItem

the edge attributes

Referenced by StarObjectSmallGraphic::readSVDRObjectEdge().

## ◆ m_edgePolygon

std::vector<STOFFVec2i> StarObjectSmallGraphicInternal::SdrGraphicEdge::m_edgePolygon

the edge polygon

Referenced by StarObjectSmallGraphic::readSVDRObjectEdge(), and send().

## ◆ m_edgePolygonFlags

std::vector<int> StarObjectSmallGraphicInternal::SdrGraphicEdge::m_edgePolygonFlags

the edge polygon flags

Referenced by StarObjectSmallGraphic::readSVDRObjectEdge(), and send().

## ◆ m_info

Information StarObjectSmallGraphicInternal::SdrGraphicEdge::m_info

the information record

Referenced by StarObjectSmallGraphic::readSVDRObjectEdge().

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx